Subject: Re: bug#30435: libreoffice: Fonts don't show up after install

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 20 Feb 2023 13:22:34 -0500

Hi Felix,

Felix Lechner <[email-masked]> writes:

> Hi,
>
> On Mon, Feb 20, 2023 at 8:06 AM Maxim Cournoyer
> <[email-masked]> wrote:
>>
>> I haven't seen this problem in a long while, so I'm inclined to think
>> it's been resolved.
>
> I think I had that issue with a fresh install within the last year and
> based on advice in IRC (thanks nckx!) ran 'fc-cache -fv'.

OK, thanks for the information; let's leave this bug open then.

> For what it's worth, I believe Debian's packaging tools (in this case,
> Debhelper) detect changes to the font directories and add a font
> update hook to the package installation scripts. Since we do not have
> such scripts—and I am with Ludo' that it's probably a feature worth
> preserving—maybe our package manager could run the hook?

Another idea: modify fontconfig so that it never creates or uses cache.
Revisit later if it causes performance problems (I doubt it would).

-- 
Thanks,
Maxim